let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export default async function fetchShareUsers(organization: string) {
  const apiUrl = `${url_Backend_dwinzo}/api/v1/findshareUsers?organization=${organization}`;

  try {
    const response = await fetch(apiUrl, {
      method: "GET",
      headers: {
        Authorization: "Bearer <access_token>",
        "Content-Type": "application/json",
        token: localStorage.getItem("token") || "",
        refresh_token: localStorage.getItem("refreshToken") || "",
      },
    });

    const newAccessToken = response.headers.get("x-access-token");
    if (newAccessToken) {
      //console.log("New token received:", newAccessToken);
      localStorage.setItem("token", newAccessToken);
    }
    if (!response.ok) {
      console.error(`Error: ${response.status} - ${response.statusText}`);
    }

    if (!response.ok) {
      console.error("Failed to get users ");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    echo.error("Failed to get user API");
    if (error instanceof Error) {
      console.log(error.message);
    } else {
      console.log("An unknown error occurred");
    }
  }
}
